# https://github.com/koesie10/acme-dns-certbot-hook
%global goipath         github.com/koesie10/acme-dns-certbot-hook
Version:                0
%global commit          d9df153587b76c8f49bb0ddd4f399f275861b698

#The following is here to allow support of building for Copr EPEL until the
#newer Go Macro support is added to RHEL/EPEL
%if 0%{?fedora:1}
%global UseGoMacros 1
#%%global debug_package %{nil}
%else
%global UseGoMacros 0
#stops rpmbuild from complaining about empty debug files
%global debug_package %{nil}
%global gometa %{nil}
%global gosource https://%{goipath}/archive/%{commit}/%{name}-%{commit}.tar.gz
%endif

%gometa

Name:    acme-dns-certbot-hook
Release: 1%{?dist}
Summary: A Certbot hook for acme-dns 
URL:     %{gourl}
License: MIT
Source0: %{gosource}

%if %{UseGoMacros}
BuildRequires: compiler(go-compiler)
%else
BuildRequires: golang >= 1.9
%endif


%description
%{summary}


%prep
%if %{UseGoMacros}
%gosetup -q
%else
%setup -q -n %{name}-%{commit}
%endif

%build
go build -buildmode=pie -o _bin/%{name} main.go types.go

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 0755 _bin/%{name} %{buildroot}%{_bindir}/

%check
%if %{UseGoMacros}
%gochecks
%endif

%files
%license LICENSE.md
%doc README.md
%{_bindir}/%{name}

%changelog
* Thu Aug 10 2018 Steve Miller (copart) <code@rellims.com> - 0-0.1.gitd9df153
- Initial package build
